Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-connection-unrecoverable.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-connection-unrecoverable.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-connection-unrecoverable.exp
@@ -1,25 +1,25 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <pseudo_event id="9" operation="stop" operation_key="remote1_stop_0">
+      <pseudo_event id="10" operation="stop" operation_key="remote1_stop_0">
         <attributes CRM_meta_timeout="20000"  reconnect_interval="60"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <rsc_op id="8" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="2"/>
+        <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
-        <crm_event id="28" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="1"/>
+        <rsc_op id="9" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <rsc_op id="10" operation="stop" operation_key="killer_stop_0" on_node="node2" on_node_uuid="2">
+      <rsc_op id="11" operation="stop" operation_key="killer_stop_0" on_node="node2" on_node_uuid="2">
         <primitive id="killer" class="stonith" type="fence_xvm"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -28,68 +28,68 @@
   </synapse>
   <synapse id="2">
     <action_set>
-      <rsc_op id="5" operation="start" operation_key="killer_start_0" on_node="node2" on_node_uuid="2">
+      <rsc_op id="6" operation="start" operation_key="killer_start_0" on_node="node2" on_node_uuid="2">
         <primitive id="killer" class="stonith" type="fence_xvm"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="4" operation="all_stopped" operation_key="all_stopped"/>
+        <pseudo_event id="5" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
       <trigger>
-        <rsc_op id="10" operation="stop" operation_key="killer_stop_0" on_node="node2" on_node_uuid="2"/>
+        <rsc_op id="11" operation="stop" operation_key="killer_stop_0" on_node="node2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="3">
     <action_set>
-      <rsc_op id="2" operation="monitor" operation_key="killer_monitor_60000" on_node="node2" on_node_uuid="2">
+      <rsc_op id="3" operation="monitor" operation_key="killer_monitor_60000" on_node="node2" on_node_uuid="2">
         <primitive id="killer" class="stonith" type="fence_xvm"/>
         <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="5" operation="start" operation_key="killer_start_0" on_node="node2" on_node_uuid="2"/>
+        <rsc_op id="6" operation="start" operation_key="killer_start_0" on_node="node2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="4">
     <action_set>
-      <rsc_op id="12" operation="monitor" operation_key="rsc1_monitor_10000" on_node="node2" on_node_uuid="2">
+      <rsc_op id="13" operation="monitor" operation_key="rsc1_monitor_10000" on_node="node2" on_node_uuid="2">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="11" operation="start" operation_key="rsc1_start_0" on_node="node2" on_node_uuid="2"/>
+        <rsc_op id="12" operation="start" operation_key="rsc1_start_0" on_node="node2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="5">
     <action_set>
-      <rsc_op id="11" operation="start" operation_key="rsc1_start_0" on_node="node2" on_node_uuid="2">
+      <rsc_op id="12" operation="start" operation_key="rsc1_start_0" on_node="node2" on_node_uuid="2">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0"/>
+        <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="8" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="2"/>
+        <rsc_op id="9" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="27" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="28" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="6">
     <action_set>
-      <rsc_op id="8" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="2">
+      <rsc_op id="9" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="2">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -98,7 +98,7 @@
   </synapse>
   <synapse id="7">
     <action_set>
-      <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0">
+      <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0">
         <attributes CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
@@ -110,94 +110,94 @@
   </synapse>
   <synapse id="8">
     <action_set>
-      <pseudo_event id="14" operation="stop" operation_key="rsc2_stop_0" internal_operation_key="rsc2:0_stop_0">
+      <pseudo_event id="15" operation="stop" operation_key="rsc2_stop_0" internal_operation_key="rsc2:0_stop_0">
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="2" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="13" operation="demote" operation_key="rsc2_demote_0" internal_operation_key="rsc2:0_demote_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="21" operation="stop" operation_key="rsc2-master_stop_0"/>
+        <pseudo_event id="14" operation="demote" operation_key="rsc2_demote_0" internal_operation_key="rsc2:0_demote_0"/>
       </trigger>
       <trigger>
-        <crm_event id="28" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="1"/>
+        <pseudo_event id="22" operation="stop" operation_key="rsc2-master_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="9">
     <action_set>
-      <pseudo_event id="13" operation="demote" operation_key="rsc2_demote_0" internal_operation_key="rsc2:0_demote_0">
+      <pseudo_event id="14" operation="demote" operation_key="rsc2_demote_0" internal_operation_key="rsc2:0_demote_0">
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="2" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="25" operation="demote" operation_key="rsc2-master_demote_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <crm_event id="28" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="1"/>
+        <pseudo_event id="26" operation="demote" operation_key="rsc2-master_demote_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="10" priority="1000000">
     <action_set>
-      <pseudo_event id="26" operation="demoted" operation_key="rsc2-master_demoted_0">
+      <pseudo_event id="27" operation="demoted" operation_key="rsc2-master_demoted_0">
         <attributes CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="2" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="13" operation="demote" operation_key="rsc2_demote_0" internal_operation_key="rsc2:0_demote_0"/>
+        <pseudo_event id="14" operation="demote" operation_key="rsc2_demote_0" internal_operation_key="rsc2:0_demote_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="25" operation="demote" operation_key="rsc2-master_demote_0"/>
+        <pseudo_event id="26" operation="demote" operation_key="rsc2-master_demote_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="11">
     <action_set>
-      <pseudo_event id="25" operation="demote" operation_key="rsc2-master_demote_0">
+      <pseudo_event id="26" operation="demote" operation_key="rsc2-master_demote_0">
         <attributes CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="2" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0"/>
+        <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="8" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="2"/>
+        <rsc_op id="9" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="12" priority="1000000">
     <action_set>
-      <pseudo_event id="22" operation="stopped" operation_key="rsc2-master_stopped_0">
+      <pseudo_event id="23" operation="stopped" operation_key="rsc2-master_stopped_0">
         <attributes CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="2" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="14" operation="stop" operation_key="rsc2_stop_0" internal_operation_key="rsc2:0_stop_0"/>
+        <pseudo_event id="15" operation="stop" operation_key="rsc2_stop_0" internal_operation_key="rsc2:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="21" operation="stop" operation_key="rsc2-master_stop_0"/>
+        <pseudo_event id="22" operation="stop" operation_key="rsc2-master_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="13">
     <action_set>
-      <pseudo_event id="21" operation="stop" operation_key="rsc2-master_stop_0">
+      <pseudo_event id="22" operation="stop" operation_key="rsc2-master_stop_0">
         <attributes CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="2" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="26" operation="demoted" operation_key="rsc2-master_demoted_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <crm_event id="28" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="1"/>
+        <pseudo_event id="27" operation="demoted" operation_key="rsc2-master_demoted_0"/>
       </trigger>
     </inputs>
   </synapse>
@@ -212,24 +212,13 @@
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="28" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="1"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="15">
     <action_set>
-      <crm_event id="28" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="1">
-        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="1" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="1"/>
-        </downed>
-      </crm_event>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="16">
-    <action_set>
-      <pseudo_event id="27" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="28" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
@@ -239,31 +228,42 @@
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="17">
+  <synapse id="16">
     <action_set>
-      <pseudo_event id="4" operation="all_stopped" operation_key="all_stopped">
+      <pseudo_event id="5" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0"/>
+        <pseudo_event id="7" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="8" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="2"/>
+        <rsc_op id="9" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="9" operation="stop" operation_key="remote1_stop_0"/>
+        <pseudo_event id="10" operation="stop" operation_key="remote1_stop_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="10" operation="stop" operation_key="killer_stop_0" on_node="node2" on_node_uuid="2"/>
+        <rsc_op id="11" operation="stop" operation_key="killer_stop_0" on_node="node2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="14" operation="stop" operation_key="rsc2_stop_0" internal_operation_key="rsc2:0_stop_0"/>
+        <pseudo_event id="15" operation="stop" operation_key="rsc2_stop_0" internal_operation_key="rsc2:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="27" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="28" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
+  <synapse id="17">
+    <action_set>
+      <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="1">
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="1" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="1"/>
+        </downed>
+      </crm_event>
+    </action_set>
+    <inputs/>
+  </synapse>
 </transition_graph>
